<?php

namespace Modules\User\Interfaces;

use Illuminate\Http\Request;
use Modules\User\Models\Address;

interface AddressRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Address $address);
    public function save(Request $request, ?Address $address): Address;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
